#!/bin/sh

# works on FreeBSD, your mileage on Linux may vary

# Set your issuer string here, this isn't very intelligent and doesn't URL-encode the string
issuer='MFA%20Sample'


userhash=$(head -10 /dev/urandom | sha256 | cut -b 1-30)

base32=$(/usr/local/bin/oathtool --totp -v "$userhash" | grep Base32 | awk '{print $3}')

echo "User String:"
echo "otpauth://totp/$issuer:$1?secret=$base32"
echo "oath.secrets entry:"
echo "$1:$userhash"
